# QtReactor.h File Reference

`#include "ace/ACE_QtReactor_export.h"`
`#include "ace/Select_Reactor.h"`
`#include "ace/Map_Manager.h"`

Include dependency graph for QtReactor.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_QtReactor
| An object-oriented event demultiplexor and event handler dispatcher that uses the Qt Library. This class declaration also uses the extension facilities provided by the Qt. So, readers of the class declaration should not be upset with the appearence of the Keywords like Q_OBJECT, private slots etc. They are specific to Qt which uses these as a call back methods implementation mechanism. More...

## Detailed Description

Id
  QtReactor.h,v 4.18 2005/10/28 16:14:54 ossama Exp

Author:
  Hamish Friedlander <ullexco@wave.co.nz>

  Balachandran Natarajan <bala@cs.wustl.edu>